% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=280pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.0672001086827041,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Layers},
ymin=-0.5, ymax=35.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35},
yticklabels={0\_QUANTIZE,1\_CONV\_2D,2\_CONV\_2D,3\_CONV\_2D,4\_ADD,5\_CONV\_2D,6\_CONV\_2D,7\_ADD,8\_CONV\_2D,9\_CONV\_2D,10\_ADD,11\_CONV\_2D,12\_CONV\_2D,13\_CONV\_2D,14\_ADD,15\_CONV\_2D,16\_CONV\_2D,17\_ADD,18\_CONV\_2D,19\_CONV\_2D,20\_ADD,21\_CONV\_2D,22\_CONV\_2D,23\_CONV\_2D,24\_ADD,25\_CONV\_2D,26\_CONV\_2D,27\_ADD,28\_CONV\_2D,29\_CONV\_2D,30\_ADD,31\_AVERAGE\_POOL\_2D,32\_RESHAPE,33\_FULLY\_CONNECTED,34\_SOFTMAX,35\_DEQUANTIZE}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.00021568521760384,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{none}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.0217346052875481,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.0621868474124991,2);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.062256422123014,3);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.0036684068089012,4);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.0622532546153191,5);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.0622299623987624,6);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.00360709921837128,7);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.0622593463809529,8);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,8.6) rectangle (axis cs:0.0622296863127376,9);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,9.6) rectangle (axis cs:0.00361532816392818,10);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,10.6) rectangle (axis cs:0.00484515563046308,11);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,11.6) rectangle (axis cs:0.031384742555917,12);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,12.6) rectangle (axis cs:0.054330617134776,13);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,13.6) rectangle (axis cs:0.00196962130288317,14);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,14.6) rectangle (axis cs:0.0543282236746612,15);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,15.6) rectangle (axis cs:0.0543600146684337,16);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,16.6) rectangle (axis cs:0.00189089041418051,17);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,17.6) rectangle (axis cs:0.0543289017977998,18);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,18.6) rectangle (axis cs:0.0543259337724032,19);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,19.6) rectangle (axis cs:0.00189993685723733,20);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,20.6) rectangle (axis cs:0.0278847251161593,21);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,21.6) rectangle (axis cs:0.0490463918665672,22);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,22.6) rectangle (axis cs:0.0038879753367748,23);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,23.6) rectangle (axis cs:0.00102636810244224,24);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,24.6) rectangle (axis cs:0.0490363209002747,25);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,25.6) rectangle (axis cs:0.049042190299931,26);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,26.6) rectangle (axis cs:0.0009838330581733,27);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,27.6) rectangle (axis cs:0.0490371278009267,28);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,28.6) rectangle (axis cs:0.0490439220063326,29);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,29.6) rectangle (axis cs:0.000984858917147662,30);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,30.6) rectangle (axis cs:6.27085238068158e-05,31);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,31.6) rectangle (axis cs:1.94283539939513e-06,32);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,32.6) rectangle (axis cs:1.68175858887269e-05,33);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,33.6) rectangle (axis cs:2.1957484308516e-05,34);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,34.6) rectangle (axis cs:2.17841747412099e-06,35);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:0.00074159893815611,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{cmsis-nn}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:0.0229109289279194,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:0.0574883068200547,2.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3) rectangle (axis cs:0.0576052011287705,3.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4) rectangle (axis cs:0.0191097954006847,4.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5) rectangle (axis cs:0.0576882495341736,5.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6) rectangle (axis cs:0.0576327157579031,6.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7) rectangle (axis cs:0.0190738824114459,7.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8) rectangle (axis cs:0.0576460333466738,8.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,9) rectangle (axis cs:0.0576624955042397,9.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,10) rectangle (axis cs:0.0190973157215925,10.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,11) rectangle (axis cs:0.00676624428790893,11.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,12) rectangle (axis cs:0.0266128558894709,12.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,13) rectangle (axis cs:0.0478048842028996,13.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,14) rectangle (axis cs:0.00983489201499377,14.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,15) rectangle (axis cs:0.0478526351584009,15.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,16) rectangle (axis cs:0.0478176803944185,16.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,17) rectangle (axis cs:0.00961956639677275,17.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,18) rectangle (axis cs:0.0477896029632232,18.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,19) rectangle (axis cs:0.0478069671938291,19.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,20) rectangle (axis cs:0.0096173835073312,20.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,21) rectangle (axis cs:0.0237065715872311,21.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,22) rectangle (axis cs:0.0457179874164446,22.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,23) rectangle (axis cs:0.00459743359323313,23.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,24) rectangle (axis cs:0.00497555209925519,24.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,25) rectangle (axis cs:0.0456852866933631,25.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,26) rectangle (axis cs:0.0457085068284312,26.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,27) rectangle (axis cs:0.00484842421731081,27.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,28) rectangle (axis cs:0.0456782196333128,28.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,29) rectangle (axis cs:0.0457002328283033,29.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,30) rectangle (axis cs:0.00483378337470742,30.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,31) rectangle (axis cs:0.000221955022603901,31.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,32) rectangle (axis cs:7.35135937920691e-06,32.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,33) rectangle (axis cs:3.73420684281809e-05,33.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,34) rectangle (axis cs:9.26561071818314e-05,34.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,35) rectangle (axis cs:9.46166995164536e-06,35.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000144998510969194 -0.2
0.00025827951664864 -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0179300415805895 0.8
0.0293368347367054 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613144667615235 1.8
0.063847162493581 1.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613369180371265 2.8
0.0640001035073372 2.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00213927727929676 3.8
0.00656290056112576 3.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613476059693591 4.8
0.0639663743922848 4.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.061330581383806 5.8
0.0639355898825147 5.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00210007509883798 6.8
0.00645689477096101 6.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613572681248139 7.8
0.0639620020995928 7.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613385394262268 8.8
0.0639142638018334 8.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0021138750039936 9.8
0.00645519939216208 9.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00441025298530136 10.8
0.00569816814320775 10.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0310594040567817 11.8
0.0319975979159333 11.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0513106393496527 12.8
0.0558653968930328 12.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.001124400290007 13.8
0.00358188924982611 13.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0512482672559446 14.8
0.0558927354579235 14.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0513742606698442 15.8
0.0558775678561544 15.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00111158389702283 16.8
0.00336728998606666 16.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.051244162654642 17.8
0.0558957474639486 17.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0512620979777254 18.8
0.0558825161517671 18.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00112688980519098 19.8
0.0033641669198581 19.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0262891682694689 20.8
0.0286853926077893 20.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0454557825132384 21.8
0.0508456950464909 21.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00377671747311258 22.8
0.00399370709811316 22.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000613204471519647 23.8
0.00181423377578258 23.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0453953734897186 24.8
0.0508609079778962 24.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0454272287650459 25.8
0.0508537606300255 25.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000595347578656808 26.8
0.00171884641072693 26.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0453937673413828 27.8
0.050862967803845 27.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0454285672219924 28.8
0.0508556963700738 28.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000604352861976622 29.8
0.00170403415385206 29.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
4.39507001615465e-05 30.8
9.38704471829274e-05 30.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.14986267827008e-06 31.8
3.47998806096404e-06 31.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.30550101336741e-05 32.8
2.37353031850368e-05 32.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.20941262332647e-05 33.8
3.22121971796927e-05 33.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.41379874645534e-06 34.8
3.30152713476075e-06 34.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000609695403925432 0.2
0.000825738996776397 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0215017493825675 1.2
0.0250712183464428 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.056059907959658 2.2
0.0587251106040148 2.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0561352504584161 3.2
0.0588122871832241 3.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0162609721326551 4.2
0.0248072720417678 4.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.056159343845646 5.2
0.0588293567232092 5.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0561251627598376 6.2
0.0587902390274101 6.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0161358971105028 7.2
0.0247560229302396 7.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0561851485388847 8.2
0.0588668487485335 8.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.056146058706893 9.2
0.0588114743479868 9.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.016171865069757 10.2
0.0247716498561625 10.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00649737857191784 11.2
0.00697943135326326 11.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0259330862237479 12.2
0.0273207131857015 12.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0467428374975788 13.2
0.0493188796326147 13.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00834842751435086 14.2
0.0125272103284703 14.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0467912044095132 15.2
0.0493732379891147 15.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.046764814269482 16.2
0.0493439759205689 16.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00820038091488603 17.2
0.0124525433452421 17.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0467957979151159 18.2
0.0493786230225624 18.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0467735509370008 19.2
0.0493534251302035 19.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00814938739863368 20.2
0.0124613250471296 20.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0228848449126678 21.2
0.0241239414113447 21.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432033612932214 22.2
0.0483808222515218 22.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0045196492381108 23.2
0.00474269040132013 23.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00422533611741602 24.2
0.00636006878189193 24.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432276348179258 25.2
0.0482327406431908 25.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432164662944996 26.2
0.0483251524739538 26.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00405431856072693 27.2
0.00628981516679177 27.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432306971549943 28.2
0.0482062418290684 28.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432189431847756 29.2
0.0482953134731773 29.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00398461999921172 30.2
0.00629720080325101 30.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000203150036997986 31.2
0.000237153252439951 31.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
6.03460539962981e-06 32.2
8.90716441089017e-06 32.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
3.57972673814593e-05 33.2
3.91799007289398e-05 33.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
7.85402048121268e-05 34.2
0.000116368808601817 34.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
9.12984352116242e-06 35.2
9.90756110386984e-06 35.2
};
\end{axis}

\end{tikzpicture}
